#
# (c) 2025, Yegor Yakubovich, yegoryakubovich.com, personal@yegoryakybovich.com
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#


from sqlalchemy import Column, BigInteger

from .base import BaseDbModel
from sqlmodel import Field


class Exchanger(BaseDbModel, table=True):
    __tablename__ = 'exchangers'

    tg_bot_token: str = Field(nullable=False)
    tg_bot_username: str
    tg_bot_redis_url: str
    tg_manager_user_id: int = Field(sa_column=Column(BigInteger()))
    tg_manager_username: str
    tg_channel_id: int = Field(sa_column=Column(BigInteger()))
    tg_channel_username: str
    tg_kyc_channel_id: int = Field(sa_column=Column(BigInteger()))
    description: str = Field(nullable=False)
